Debian Bug report logs - #703198
ITP: libjide-oss-java -- extensible Swing component library for Java

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Markus Koschany <apo@gambaru.de>

Date: Sat, 16 Mar 2013 19:03:01 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: wishlist

Fixed in version libjide-oss-java/3.5.3+dfsg-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#703198; Package wnpp. (Sat, 16 Mar 2013 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 16 Mar 2013 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libjide-oss-java -- extensible Swing component library for Java
Date: Sat, 16 Mar 2013 20:00:19 +0100
Package: wnpp
Severity: wishlist
Owner: Markus Koschany <apo@gambaru.de>

* Package name    : libjide-oss-java
  Version         : 3.5.3
  Upstream Author : JIDE Software, Inc. <support@jidesoft.com>
* URL             : http://www.jidesoft.com/products/oss.htm
* License         : GPL-2 with classpath exception, LGPL-2.1, BSD)
  Programming Lang: Java
  Description     : extensible Swing component library for Java

JIDE Common Layer is a general component library built on top of
Swing. It provides a foundation to build complex Java desktop
applications by extending existing Swing classes to add more advanced
features.

JIDE Common Layer features over 30 components and utilities including:
* SearchableBar
* FolderChooser
* Searchable JList, JTree, JComboBox and JTable
* RangeSlider
* Popup
* JideSplitButton - a combination of a button and a popup menu
* CheckBoxList and CheckBoxTree - use check boxes inside JLists and JTrees
* IconFactory - simplify the usage of icons across the whole application
* Systeminfo - retrieve information about the current system
* AutoResizingTextArea
* AutoCompletion and IntelliHints
* Calculator component

I intend to maintain the package within the Java Team. [1]

[1] https://lists.debian.org/debian-java/2013/03/msg00053.html



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 07:06:08 GMT) Full text and rfc822 format available.

Added indication that bug 703198 blocks 703704 Request was from Markus Koschany <apo@gambaru.de> to 703704-submit@bugs.debian.org. (Fri, 22 Mar 2013 15:09:23 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Sat, 13 Apr 2013 13:03:19 GMT) Full text and rfc822 format available.

Notification sent to Markus Koschany <apo@gambaru.de>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 13:03:19 GMT) Full text and rfc822 format available.

Message #14 received at 703198-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 703198-close@bugs.debian.org
Subject: Bug#703198: fixed in libjide-oss-java 3.5.3+dfsg-1
Date: Sat, 13 Apr 2013 13:00:06 +0000
Source: libjide-oss-java
Source-Version: 3.5.3+dfsg-1

We believe that the bug you reported is fixed in the latest version of
libjide-oss-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated libjide-oss-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Mar 2013 19:49:12 +0100
Source: libjide-oss-java
Binary: libjide-oss-java libjide-oss-java-doc
Architecture: source all
Version: 3.5.3+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 libjide-oss-java - extensible Swing component library for Java
 libjide-oss-java-doc - extensible Swing component library for Java -- documentation
Closes: 703198
Changes: 
 libjide-oss-java (3.5.3+dfsg-1) unstable; urgency=low
 .
   * Initial release. (Closes: #703198)
Checksums-Sha1: 
 26d026373a72a0070bb34eb276cbb0724da7207a 2171 libjide-oss-java_3.5.3+dfsg-1.dsc
 a7886b2cc8fcbbb575136d122179fadf46c24437 2855296 libjide-oss-java_3.5.3+dfsg.orig.tar.xz
 93d923a67ad4042b3ee0b741c98db5a17cf68c2b 6637 libjide-oss-java_3.5.3+dfsg-1.debian.tar.gz
 31c14c6abea7b197fd54018a08bba0af9960bdc4 1394664 libjide-oss-java_3.5.3+dfsg-1_all.deb
 2a1e0e4ef45be433f3a908a4d096e6818ae4c521 2225044 libjide-oss-java-doc_3.5.3+dfsg-1_all.deb
Checksums-Sha256: 
 db171aea4f798d8e303d4764698f0de196407e79fb7b1443fba6343235ab91a3 2171 libjide-oss-java_3.5.3+dfsg-1.dsc
 abddf8931a631ccc55f82494fdbcd02640dfe624df81df56510b3ad4060891e6 2855296 libjide-oss-java_3.5.3+dfsg.orig.tar.xz
 f417894db148dd2a9c1ed83108b1291036b24f6afb228eca061163eae432510a 6637 libjide-oss-java_3.5.3+dfsg-1.debian.tar.gz
 97e23c86c30670704f960c9247bf6da2df958ac28aee0fa28afa7481b1c1583b 1394664 libjide-oss-java_3.5.3+dfsg-1_all.deb
 4ad12ec8998e1510956170554e70632450380f43b497913ad57791f3924bdbff 2225044 libjide-oss-java-doc_3.5.3+dfsg-1_all.deb
Files: 
 56ed71c860c04d2bf283fe366fda4332 2171 java optional libjide-oss-java_3.5.3+dfsg-1.dsc
 78a220a7d90122dfb96b981289c629e2 2855296 java optional libjide-oss-java_3.5.3+dfsg.orig.tar.xz
 8da14cecebf79429b763613834562606 6637 java optional libjide-oss-java_3.5.3+dfsg-1.debian.tar.gz
 7341134f6f53bb0a12486630fb460c61 1394664 java optional libjide-oss-java_3.5.3+dfsg-1_all.deb
 63e7eb18f089a3c01a948a0dde5d584f 2225044 doc optional libjide-oss-java-doc_3.5.3+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRS9SNAAoJECHSBYmXSz6WMakQAJ2nrAYLG3zQyryqjSvRBmTS
tWstllQ0UVqw2twfwVf2qU4JSRlUh0/ticVtUzjRLHHdwH8ROZn+cCrjqd0nR8Dy
w/sPMU6JjeSSEHeoy2uK8bUqBDW9Tlm5V6e5UV3qRWmSdJZcz8Q5sTtYg1gkWGkI
QcIqX3rpmJjnGEgpUqQHM+RrDamj0KRfiXkmmS4ynQye+SswIgOxDkYG/hMiA5f8
rfULHfH6ngmLqlOE47rBGLzZ+tw8mx1/0NmsfHZxn73sAq43JCGqTjJX7VTGqxED
YfG5xRiMHidSJIZCC9ceVSJL2S6xEEhtqyI4Okp9Z7Vpwz2bMp91z8AmBxfefCiK
Fixz6ZExMkpKDsrwIrWB9nW7BQWyauSF0zLUwhDGKs6Y2Q7PTPheKG/cY/sRorZ6
jl4dCHp92U/uuHbFRHJwuXXSAc8IuQ5fKmIiHllYLmych6dkbO7Mm09olCpRoIsh
vpVPbuTVblY+k90mHCypm5lKSclOZh4MWdEgOydI+GjJPnaSxaFNzBuHA+V7Ut3J
FubxRJ56pmX5dhJmGU0XLIPgecMnzVO8JI5Gms3uVUdJO7p0pOucyN2r95UlEfZJ
6eWwttXtj1nLG1UZEiBLyTCzmNj4HJkemQahAsVhz6QytwWMQ3fOoXL/JDsY439U
rh9npRnsBpOP+vfT4UeY
=aQfy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 May 2013 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:40:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.